NEWGRP(1)

NAZWA
newgrp - loguje do nowej grupy

SKŁADNIA

newgrp [grupa [polecenie]]

newgrp [-c polecenie] [grupa]

OPIS

newgrp zmienia identyfikator grupy wywołującego, analogicznie do login(1). Zalogowana pozostaje ta sama osoba, nie jest również zmieniany bieżący katalog, lecz sprawdzanie uprawnień dostępu do plików jest przeprowadzane z uwzględnieniem nowego identyfikatora grupy.

Jeśli nie podano grupy, identyfikator grupy jest zmieniany na GID logowania.

Można podać opcjonalne polecenie, które jest wywoływane po zmianie grupy, zamiast powłoki użytkownika.

OPCJE

-c, --command=polecenie
    Przekazuje polecenie do powłoki użytkownika za pomocą opcji -c.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PLIKI

/etc/group, /etc/passwd

AUTORZY

Pierwotnym autorem jest Michael Haardt. Obecnym opiekunem jest

ZOBACZ TAKŻE

login(1), group(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie newgrp jest częścią pakietu util-linux, który można pobrać ze strony